/*
 * transform.h:
 *
 * Copyright (c) 1999 James McKenzie <james@fishsoup.dhs.org>.
 *
 * $Id: transform.h,v 1.2 1999/11/19 00:27:46 root Exp $
 *
 * $Log: transform.h,v $
 * Revision 1.2  1999/11/19 00:27:46  root
 * #make_checkin
 *
 * Revision 1.1  1999/11/19 00:26:09  root
 * #make_checkin
 *
 *
 */

#ifndef __TRANSFORM_H_          /* include guard */
#define __TRANSFORM_H_

typedef struct transform_struct
  {
    float a, b, c, d, e, f;
  }
 *Transform;


#define transform_x(t,x,y) (((x) * (t)->a) + ((y) * (t)->b) + (t)->e)
#define transform_y(t,x,y) (((x) * (t)->c) + ((y) * (t)->d) + (t)->f)




#endif /* __TRANSFORM_H_ */
