/*
 * async.h:
 *
 * Copyright (c) 1999 James McKenzie <james@fishsoup.dhs.org>.
 *
 * $Id: async.h,v 1.2 1999/11/21 01:08:34 root Exp $
 *
 * $Log: async.h,v $
 * Revision 1.2  1999/11/21 01:08:34  root
 * #make_checkin
 *
 * Revision 1.1  1999/11/20 18:47:30  root
 * #make_checkin
 *
 *
 */

#ifndef __ASYNC_H_              /* include guard */
#define __ASYNC_H_

BEGIN_OBJECT (Async)
     int fd;                    /*Fd to serial port */
     char *lock;                /*Lockfile name */
     void *old;                 /*Opaque pointer to state of tty for restoring later */
END_OBJECT (Async)

     extern void async_destructor (Async);

CREATOR (Async) = Obj_DefaultCreator;
DESTRUCTOR (Async) = async_destructor;

     typedef enum
       {
         ASYNC_NONE = 0,
         ASYNC_ODD = 1,
         ASYNC_EVEN = 2
       }
Async_Parity;


#endif /* __ASYNC_H_ */
