/*
 * $Log: byteorder.c,v $
 * Revision 1.6  1999/11/22 04:48:32  root
 * *** empty log message ***
 *
 * Revision 1.5  1997/09/25 22:07:54  root
 * *** empty log message ***
 *
 * Revision 1.4  1997/06/23 08:53:05  root
 * *** empty log message ***
 *
 * Revision 1.3  1997/06/18  14:31:26  root
 * *** empty log message ***
 *
 * Revision 1.2  1997/06/18  14:30:45  root
 * *** empty log message ***
 *
 * Revision 1.1  1997/06/18  14:27:02  root
 * Initial revision
 *
 * Revision 1.1  1997/06/18  14:27:02  root
 * Initial revision
 *
 */

static char rcsid[] = "$Id: byteorder.c,v 1.6 1999/11/22 04:48:32 root Exp root $";

#include "bo_arch.h"

void byteorder_null(unsigned char *a, int n)
{
}



void byteorder_fix_flip_2(unsigned char *addr, int n)
{
  unsigned char tmp;

  for (; n > 0; --n) {
    tmp = *addr;
    *addr = *(addr + 1);
    addr++;
    *addr = tmp;
    addr++;
  }


}

void byteorder_fix_flip_4(unsigned char *addr, int n)
{
  unsigned char tmp;

  for (; n > 0; --n) {
    tmp = *addr;
    *addr = *(addr + 3);
    *(addr + 3) = tmp;
    addr++;
    tmp = *addr;
    *addr = *(addr + 1);
    addr++;
    *addr = tmp;
    addr += 2;
  }


}

void byteorder_fix_flip_8(unsigned char *addr, int n)
{
  unsigned char tmp;

  for (; n > 0; --n) {
    tmp = *addr;
    *addr = *(addr + 7);
    *(addr + 7) = tmp;
    addr++;

    tmp = *addr;
    *addr = *(addr + 5);
    *(addr + 5) = tmp;
    addr++;

    tmp = *addr;
    *addr = *(addr + 3);
    *(addr + 3) = tmp;
    addr++;

    tmp = *addr;
    *addr = *(addr + 1);
    addr++;
    *addr = tmp;
    addr += 4;
  }


}



static void fromvaxfloat(unsigned char *in, int n)
{
  register unsigned char ch1, ch2;
  register unsigned char *out = in;

  while (--n >= 0) {
    ch1 = *in++;
    *out++ = (ch2 = *in++) ? ch2 - 1 : ch2;
    *out++ = ch1;
    ch1 = *in++;
    *out++ = *in++;
    *out++ = ch1;
  }

}

byteorder_fromvaxfloat(unsigned char *a, int b)
{
  fromvaxfloat(a, b);
  BO_F_ITOM(a, b);
}

static void fromvaxdouble(unsigned char *in, int n)
{
  register unsigned long i, j, k;
  register unsigned char *out = in;

  while (--n >= 0) {
    i = (in[1] << 24) | (in[0] << 16) | (in[3] << 8) | in[2];
    if (j = i & 0x7f800000) {
      k = (i << 29) | (in[5] << 21) | (in[4] << 13) |
          (in[7] << 5) | (in[6] >> 3);
      i = (i & 0x80000000) | ((i & 0x7fffff) >> 3) |
          ((j >> 3) + 0x37e00000);
    } else
      i = k = 0;
    *out++ = i >> 24;
    *out++ = (i >> 16) & 255;
    *out++ = (i >> 8) & 255;
    *out++ = i & 255;
    *out++ = k >> 24;
    *out++ = (k >> 16) & 255;
    *out++ = (k >> 8) & 255;
    *out++ = k & 255;
    in += 8;
  }
}

byteorder_fromvaxdouble(unsigned char *a, int b)
{
  fromvaxdouble(a, b);
  BO_D_ITOM(a, b);
}


byteorder_flip_fromvaxfloat(unsigned char *a, int b)
{
  byteorder_fromvaxfloat(a, b);
  byteorder_fix_flip_4(a, b);
}

byteorder_flip_fromvaxdouble(unsigned char *a, int b)
{
  byteorder_fromvaxfloat(a, b);
  byteorder_fix_flip_8(a, b);
}
