/*
 * line.h:
 *
 * Copyright (c) 1999 James McKenzie <james@fishsoup.dhs.org>.
 *
 * $Id: line.h,v 1.5 1999/11/22 04:43:40 root Exp $
 *
 * $Log: line.h,v $
 * Revision 1.5  1999/11/22 04:43:40  root
 * #make_checkin
 *
 * Revision 1.4  1999/11/22 04:36:00  root
 * #make_checkin
 *
 * Revision 1.3  1999/11/21 02:56:20  root
 * #make_checkin
 *
 * Revision 1.2  1999/11/21 01:08:34  root
 * #make_checkin
 *
 * Revision 1.1  1999/11/20 18:47:30  root
 * #make_checkin
 *
 *
 */

#ifndef __LINE_H_               /* include guard */
#define __LINE_H_


typedef struct
  {
    float x, y;
  }
Point;

#define DEFAULT_LINE_LENGTH 256

typedef enum
  {
    LINE_POINT = 1,
    LINE_LINE = 2
  }
Linetype;

BEGIN_OBJECT (Line)
     char *annot;               /*Annotation */
     Linetype type;
     Point *l;
     int n;                     /*number of points in line */
     int s;                     /*size of l */
END_OBJECT (Line)

     extern void line_destructor (Line);

CREATOR (Line) = Obj_DefaultCreator;
DESTRUCTOR (Line) = line_destructor;

#endif /* __LINE_H_ */
