/*
 * project.h:
 *
 * Copyright (c) 1999 James McKenzie. All rights reserved.
 *
 * $Id: project.h,v 1.10 1999/11/22 04:36:00 root Exp $
 *
 * $Log: project.h,v $
 * Revision 1.10  1999/11/22 04:36:00  root
 * #make_checkin
 *
 * Revision 1.9  1999/11/21 19:23:06  root
 * #make_checkin
 *
 * Revision 1.8  1999/11/21 02:56:20  root
 * #make_checkin
 *
 * Revision 1.7  1999/11/21 01:08:34  root
 * #make_checkin
 *
 * Revision 1.6  1999/11/20 18:47:30  root
 * #make_checkin
 *
 * Revision 1.5  1999/11/20 13:43:30  root
 * #make_checkin
 *
 * Revision 1.4  1999/11/19 00:47:39  root
 * #make_checkin
 *
 * Revision 1.3  1999/11/19 00:33:13  root
 * #make_checkin
 *
 * Revision 1.2  1999/11/19 00:27:46  root
 * #make_checkin
 *
 * Revision 1.1  1999/11/19 00:26:09  root
 * #make_checkin
 *
 *
 */

#ifndef __PROJECT_H_            /* include guard */
#define __PROJECT_H_

#include <stdio.h>
#include <stdarg.h>
#include <fcntl.h>
#include <stdlib.h>
#include <malloc.h>
#include <string.h>
#include <strings.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/file.h>
#include <sys/stat.h>
#include <sys/errno.h>

#include <unistd.h>

#include <gtk/gtk.h>

extern void *digit_malloc (int);
extern void *digit_realloc (void *, int);
extern void digit_free (void *);

#include "bo/bo_arch.h"
#include "object.h"
#include "util.h"
#include "line.h"
#include "transform.h"
#include "async.h"
#include "digitizer.h"
#include "mouse.h"
#include "editor.h"
#include "draw_window.h"


#include "digit.h"

#include "prototypes.h"

#ifndef True
#define True 1
#endif

#ifndef False
#define False 0
#endif

#ifndef Null
#define Null ((gpointer) 0)
#endif

#define DIGIT_MAGIC	0x2abfdec5
#define DRAWING_MAGIC   0x1fcbe8ad
#define LINE_MAGIC   	0x1faddd0c
#define EOF_MAGIC	0x0fe1dead

#endif /* __PROJECT_H_ */
