
/* digit.c */
__inline__ int __stat(__const char *__path, struct stat *__statbuf);
__inline__ int stat(__const char *__path, struct stat *__statbuf);
__inline__ int __lstat(__const char *__path, struct stat *__statbuf);
__inline__ int lstat(__const char *__path, struct stat *__statbuf);
__inline__ int __fstat(int __fd, struct stat *__statbuf);
__inline__ int fstat(int __fd, struct stat *__statbuf);
__inline__ int __mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
__inline__ int mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
void instance_destructor(Instance i);
Instance instanciate(void);
int main(int argc, char *argv[]);
/* transform.c */
__inline__ int __stat(__const char *__path, struct stat *__statbuf);
__inline__ int stat(__const char *__path, struct stat *__statbuf);
__inline__ int __lstat(__const char *__path, struct stat *__statbuf);
__inline__ int lstat(__const char *__path, struct stat *__statbuf);
__inline__ int __fstat(int __fd, struct stat *__statbuf);
__inline__ int fstat(int __fd, struct stat *__statbuf);
__inline__ int __mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
__inline__ int mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
Transform transform_create(void);
void transform_free(Transform t);
void transform_null(Transform t);
void transform_concat(Transform r, Transform a, Transform b);
void transform_copy(Transform d, Transform s);
Transform transform_dup(Transform t);
void transform_invert(Transform r, Transform t);
Transform transform_window(float w, float h);
void transform_from_zoom(Transform r, float x1, float y1, float x2, float y2);
void transform_print(Transform t);
/* draw_window.c */
__inline__ int __stat(__const char *__path, struct stat *__statbuf);
__inline__ int stat(__const char *__path, struct stat *__statbuf);
__inline__ int __lstat(__const char *__path, struct stat *__statbuf);
__inline__ int lstat(__const char *__path, struct stat *__statbuf);
__inline__ int __fstat(int __fd, struct stat *__statbuf);
__inline__ int fstat(int __fd, struct stat *__statbuf);
__inline__ int __mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
__inline__ int mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
int draw_endofline(Draw_Window dw, Line l);
int setgc_lines(Draw_Window dw);
int setgc_current(Draw_Window dw);
int setgc_selected(Draw_Window dw);
int setgc_background(Draw_Window dw);
int setgc_active(Draw_Window dw);
int dw_do_save(Draw_Window dw, char *name);
int dw_do_load(Draw_Window dw, char *name);
int dw_do_export(Draw_Window dw, char *name);
void dw_quit(Draw_Window dw);
Draw_Window draw_window_create(Instance i);
/* util.c */
__inline__ int __stat(__const char *__path, struct stat *__statbuf);
__inline__ int stat(__const char *__path, struct stat *__statbuf);
__inline__ int __lstat(__const char *__path, struct stat *__statbuf);
__inline__ int lstat(__const char *__path, struct stat *__statbuf);
__inline__ int __fstat(int __fd, struct stat *__statbuf);
__inline__ int fstat(int __fd, struct stat *__statbuf);
__inline__ int __mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
__inline__ int mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
GtkWidget *text_button_and_show(char *t);
void stick_text_into_box_and_show(GtkBox *b, char *msg);
int modal_button_dialog_box(char *tmsg, char *tok, char *tcancel);
void gripe(Gripeness g, char *fmt, ...);
void *digit_malloc(int s);
void *digit_realloc(void *p, int s);
void digit_free(void *p);
int canreadfrom(int fd);
void int32_write(int i, FILE *s);
int int32_read(FILE *s);
void float32_write(float i, FILE *s);
float float32_read(FILE *s);
void magic_write(int magic, FILE *s);
int magic_read(FILE *s);
int magic_check(int magic, FILE *s);
void string_write(char *s, FILE *f);
char *string_read(FILE *f);
void make_window_quit_proof(GtkWidget *w);
/* digitizer.c */
__inline__ int __stat(__const char *__path, struct stat *__statbuf);
__inline__ int stat(__const char *__path, struct stat *__statbuf);
__inline__ int __lstat(__const char *__path, struct stat *__statbuf);
__inline__ int lstat(__const char *__path, struct stat *__statbuf);
__inline__ int __fstat(int __fd, struct stat *__statbuf);
__inline__ int fstat(int __fd, struct stat *__statbuf);
__inline__ int __mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
__inline__ int mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
int digitizer_register_eventproc(Digitizer d, Digitizer_EventProc f, void *ptr);
int digitizer_unregister_eventproc(Digitizer d, int id);
int digitizer_ioctl(Digitizer d, Digitizer_Ioctl i, void *arg);
void digitizer_fd_notify(Digitizer d);
Digitizer digitizer_create(void);
void digitizer_destroy(Digitizer d);
/* async.c */
__inline__ int __stat(__const char *__path, struct stat *__statbuf);
__inline__ int stat(__const char *__path, struct stat *__statbuf);
__inline__ int __lstat(__const char *__path, struct stat *__statbuf);
__inline__ int lstat(__const char *__path, struct stat *__statbuf);
__inline__ int __fstat(int __fd, struct stat *__statbuf);
__inline__ int fstat(int __fd, struct stat *__statbuf);
__inline__ int __mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
__inline__ int mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
void async_rts(Async a, int on);
void async_dtr(Async a, int on);
int async_setup(Async a, int speed, int bits, Async_Parity parity, int flow);
void async_carrsens(Async a, int doit);
void async_destructor(Async a);
Async async_open(char *dev);
void async_drain(Async a);
/* line.c */
__inline__ int __stat(__const char *__path, struct stat *__statbuf);
__inline__ int stat(__const char *__path, struct stat *__statbuf);
__inline__ int __lstat(__const char *__path, struct stat *__statbuf);
__inline__ int lstat(__const char *__path, struct stat *__statbuf);
__inline__ int __fstat(int __fd, struct stat *__statbuf);
__inline__ int fstat(int __fd, struct stat *__statbuf);
__inline__ int __mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
__inline__ int mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
void line_destructor(Line l);
void line_pack(Line l);
void line_addpt(Line l, Point p);
int line_write(Line l, FILE *s);
Line line_read(FILE *s);
/* editor.c */
__inline__ int __stat(__const char *__path, struct stat *__statbuf);
__inline__ int stat(__const char *__path, struct stat *__statbuf);
__inline__ int __lstat(__const char *__path, struct stat *__statbuf);
__inline__ int lstat(__const char *__path, struct stat *__statbuf);
__inline__ int __fstat(int __fd, struct stat *__statbuf);
__inline__ int fstat(int __fd, struct stat *__statbuf);
__inline__ int __mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
__inline__ int mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
int drawing_register_eventproc(Drawing d, Drawing_EventProc f, void *ptr);
int drawing_unregister_eventproc(Drawing d, int id);
void drawing_destructor(Drawing d);
int dispatch_line_drawing_event(Drawing dr, Drawing_Event_Type t, Line l);
void drawing_delete_selected(Drawing d);
Drawing drawing_create(Mouse m, Digitizer d);
void drawing_flush(Drawing d);
void drawing_write(Drawing d, FILE *s);
int drawing_load(Drawing d, FILE *s);
/* mouse.c */
__inline__ int __stat(__const char *__path, struct stat *__statbuf);
__inline__ int stat(__const char *__path, struct stat *__statbuf);
__inline__ int __lstat(__const char *__path, struct stat *__statbuf);
__inline__ int lstat(__const char *__path, struct stat *__statbuf);
__inline__ int __fstat(int __fd, struct stat *__statbuf);
__inline__ int fstat(int __fd, struct stat *__statbuf);
__inline__ int __mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
__inline__ int mknod(__const char *__path, __mode_t __mode, __dev_t __dev);
void mouse_inject_state(Mouse m, float x, float y, int state);
void mouse_destroy(Mouse m);
Mouse mouse_create(void);
int mouse_register_eventproc(Mouse d, Mouse_EventProc f, void *ptr);
int mouse_unregister_eventproc(Mouse d, int id);
